### Hierarchy

- RpcToken
  - RpcDecryptEncryptFields

## Index

### Constructors

- constructor

### Properties

- accessToken
- fields
- passwords

### Methods

- getAccessTokenSig
- getClearAccessToken

## Constructors

### constructor

- new RpcDecryptEncryptFields(accessToken: string, fields: Map<string, string>, passwords: Map<string, string>): RpcDecryptEncryptFields

- Overrides RpcToken.constructor

  - Defined in utils/keypair/rpc/RpcDecryptEncryptFields.ts:6

  #### Parameters

  - ##### accessToken: string

  - ##### fields: Map<string, string>

  - ##### passwords: Map<string, string>

  #### Returns RpcDecryptEncryptFields

## Properties

### accessToken

accessToken: string

Inherited from RpcToken.accessToken

- Defined in utils/keypair/rpc/RpcToken.ts:3

### fields

fields: Map<string, string>

- Defined in utils/keypair/rpc/RpcDecryptEncryptFields.ts:5

### passwords

passwords: Map<string, string>

- Defined in utils/keypair/rpc/RpcDecryptEncryptFields.ts:6

## Methods

### getAccessTokenSig

- getAccessTokenSig(): string

- Inherited from RpcToken.getAccessTokenSig

  - Defined in utils/keypair/rpc/RpcToken.ts:9

  #### Returns string

### getClearAccessToken

- getClearAccessToken(): string

- Inherited from RpcToken.getClearAccessToken

  - Defined in utils/keypair/rpc/RpcToken.ts:13

  #### Returns string

Generated using TypeDoc